CPUTIME(3)

NAME
cputime, times - cpu time in this process and children

SYNOPSIS
#include <u.h>
#include <libc.h>

int    times(long t[4])

double    cputime(void)

DESCRIPTION
If t is non-null, times fills it in with the number of milliseconds spent in user code, system calls, child processes in user code, and child processes in system calls. Cputime returns the sum of those same times, converted to seconds. Times returns the elapsed real time, in milliseconds, that the process has been running.

These functions read /dev/cputime, opening that file when they are first called.

SOURCE
/usr/local/plan9/src/libc/9sys

SEE ALSO
cons(3)